View Issue Details

IDProjectCategoryView StatusLast Update
0006951VALENTINA SERVEROtherpublic2014-10-14 14:17
ReporterErich GeiersbergerAssigned ToIvan Smahin 
PriorityhighSeveritycrashReproducibilityrandom
Status resolvedResolutionfixed 
PlatformIntelOSLinuxOS VersionDebian 7 x64
Product Version5.5.8 
Target VersionFixed in Version5.6 
Summary0006951: VServer Linux x64 => Glibc => segmentation faults, memory corruption, corrupted linked list etc.
DescriptionI am running a VServer 5.5.8 x64 on Linux (Debian 7.0 x64).
When connecting to MULTIPLE databases (via VPHP 5.5.8 or VCOM 5.5.8), the server crashes (mostly always, sometimes random) with different errors, mostly "segmentation fault", "memory corruption" or "

1) The memory modules of the server are OK, this has been checked via running tests!
2) The databases have been diagnosed (level 3), all are OK.
3) VServer is not running on SSL (using only non-secure port)
4) SNMP and Bonjour is disabled


Here is the output of such an error, when connecting to the server locally with VPHP 5.5.8 for php 5.5:
...
2014-10-08 13:45:50.267184 (TID 140578900358912): (UID 12) Connection established with '127.0.0.1:55261'. ( Connections available: '4')
2014-10-08 13:45:50.267909 (TID 140578908751616): (UID 12) User: testuser. Connection encoding: UTF-8 - LittleEndian.
2014-10-08 13:45:50.268533 (TID 140578891966208): (UID 12) Database '(null)' remoteID 25752400 registered.
2014-10-08 13:45:50.268580 (TID 140578891966208): (UID 12) Database: <none>; User: testuser: OK
2014-10-08 13:45:50.268705 (TID 140578908751616): (UID 12) Database 'test_language' put_Location.
2014-10-08 13:45:50.268804 (TID 140578775889664): (UID 12) Database '(null)' remoteID 25752400 unregistered.
2014-10-08 13:45:50.268846 (TID 140578775889664): (UID 12) Database 'language.vdb' remoteID 25752400 registered.
2014-10-08 13:45:50.268945 (TID 140578775889664): (UID 12) Database 'test_language' has been successfully opened.
2014-10-08 13:45:50.269766 (TID 140578908751616): (UID 12) Database: language; User: testuser: OK
2014-10-08 13:45:50.270275 (TID 140578775889664): (UID 12) Database '(null)' remoteID 25798816 registered.
2014-10-08 13:45:50.270320 (TID 140578775889664): (UID 12) Database: <none>; User: testuser: OK
2014-10-08 13:45:50.270436 (TID 140578891966208): (UID 12) Database 'test_language' put_Location.
2014-10-08 13:45:50.270529 (TID 140578908751616): (UID 12) Database '(null)' remoteID 25798816 unregistered.
2014-10-08 13:45:50.270583 (TID 140578908751616): (UID 12) Database 'language.vdb' remoteID 25798816 registered.
2014-10-08 13:45:50.270704 (TID 140578908751616): (UID 12) Database 'test_language' has been successfully opened.
2014-10-08 13:45:50.270807 (TID 140578775889664): (UID 12) Database: language; User: testuser: OK
2014-10-08 13:45:50.270915 (TID 140578891966208): (UID 12) Database 'language.vdb' remoteID 25752400 unregistered.
2014-10-08 13:45:50.270945 (TID 140578891966208): (UID 12) Closing database 'language': OK
2014-10-08 13:45:50.391734 (TID 140578891966208): (UID 12) Database 'test_language' has been successfully closed.
2014-10-08 13:45:50.391803 (TID 140578891966208): (UID 12) Database 'test_language' object memory released.
2014-10-08 13:45:50.394589 (TID 140578775889664): (UID 25) Connection established with '127.0.0.1:55262'. ( Connections available: '3')
2014-10-08 13:45:50.395268 (TID 140578900358912): (UID 25) User: testuser. Connection encoding: UTF-8 - LittleEndian.
2014-10-08 13:45:50.395885 (TID 140578891966208): (UID 25) Database '(null)' remoteID 25692544 registered.
2014-10-08 13:45:50.395932 (TID 140578891966208): (UID 25) Database: <none>; User: testuser: OK
2014-10-08 13:45:50.396051 (TID 140578900358912): (UID 25) Database 'test_data' put_Location.
2014-10-08 13:45:50.396167 (TID 140578908751616): (UID 25) Database '(null)' remoteID 25692544 unregistered.

*** glibc detected *** ./vserver: corrupted double-linked list: 0x0000000001a3cf80 ***

======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x76aa6)[0x7fdb16fffaa6]
/lib/x86_64-linux-gnu/libc.so.6(+0x784a7)[0x7fdb170014a7]
/lib/x86_64-linux-gnu/libc.so.6(cfree+0x6c)[0x7fdb1700484c]
/lib64/ld-linux-x86-64.so.2(_dl_deallocate_tls+0x67)[0x7fdb1c163d57]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x692d)[0x7fdb17ec592d]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x6a39)[0x7fdb17ec5a39]
/lib/x86_64-linux-gnu/libpthread.so.0(pthread_join+0xdd)[0x7fdb17ec6e3d]
 /opt/VServer/lib/libvkernel_release_x64.so.558(_ZN3fbl12thread_qsortISt4pairIjjEPFbS2_S2_EEEPvS5_+0x169)[0x7fdb198d1de9]
 /opt/VServer/lib/libvshared_release_x64.so.558(_ZN3fbl27Thread_Simple_Main_FunctionEPv+0xf)[0x7fdb1a036b5f]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x6b50)[0x7fdb17ec5b50]
/lib/x86_64-linux-gnu/libc.so.6(clone+0x6d)[0x7fdb17064e6d]
======= Memory map: ========
00400000-0080a000 r-xp 00000000 08:11 13844732 /opt/VServer/vserver
00a09000-00a28000 r-xp 00409000 08:11 13844732 /opt/VServer/vserver
00a28000-00a39000 rwxp 00428000 08:11 13844732 /opt/VServer/vserver
00a39000-00a42000 rwxp 00000000 00:00 0
01706000-01a68000 rwxp 00000000 00:00 0 [heap]
7fdafcff2000-7fdafcff3000 ---p 00000000 00:00 0
7fdafcff3000-7fdafd7f3000 rwxp 00000000 00:00 0
7fdafdff4000-7fdafdff5000 ---p 00000000 00:00 0
7fdafdff5000-7fdafe7f5000 rwxp 00000000 00:00 0
7fdafeff6000-7fdafeff7000 ---p 00000000 00:00 0
7fdafeff7000-7fdaff7f7000 rwxp 00000000 00:00 0
7fdaff7f7000-7fdaff7f8000 ---p 00000000 00:00 0
7fdaff7f8000-7fdaffff8000 rwxp 00000000 00:00 0
7fdaffff8000-7fdaffff9000 ---p 00000000 00:00 0
7fdaffff9000-7fdb007f9000 rwxp 00000000 00:00 0
7fdb007f9000-7fdb007fa000 ---p 00000000 00:00 0
7fdb007fa000-7fdb00ffa000 rwxp 00000000 00:00 0
7fdb00ffa000-7fdb00ffb000 ---p 00000000 00:00 0
7fdb00ffb000-7fdb017fb000 rwxp 00000000 00:00 0
7fdb01ffc000-7fdb01ffd000 ---p 00000000 00:00 0
7fdb01ffd000-7fdb027fd000 rwxp 00000000 00:00 0
7fdb027fd000-7fdb027fe000 ---p 00000000 00:00 0
7fdb027fe000-7fdb02ffe000 rwxp 00000000 00:00 0
7fdb037ff000-7fdb03800000 ---p 00000000 00:00 0
7fdb03800000-7fdb04000000 rwxp 00000000 00:00 0
7fdb04000000-7fdb04052000 rwxp 00000000 00:00 0
7fdb04052000-7fdb08000000 ---p 00000000 00:00 0
7fdb087f9000-7fdb087fa000 ---p 00000000 00:00 0
7fdb087fa000-7fdb08ffa000 rwxp 00000000 00:00 0
7fdb08ffa000-7fdb08ffb000 ---p 00000000 00:00 0
7fdb08ffb000-7fdb097fb000 rwxp 00000000 00:00 0
7fdb097fb000-7fdb097fc000 ---p 00000000 00:00 0
7fdb097fc000-7fdb09ffc000 rwxp 00000000 00:00 0
7fdb09ffc000-7fdb09ffd000 ---p 00000000 00:00 0
7fdb09ffd000-7fdb0a7fd000 rwxp 00000000 00:00 0
7fdb0a7fd000-7fdb0a7fe000 ---p 00000000 00:00 0
7fdb0a7fe000-7fdb0affe000 rwxp 00000000 00:00 0
7fdb0affe000-7fdb0afff000 ---p 00000000 00:00 0
7fdb0afff000-7fdb0b7ff000 rwxp 00000000 00:00 0
7fdb0b7ff000-7fdb0b800000 ---p 00000000 00:00 0
7fdb0b800000-7fdb0c000000 rwxp 00000000 00:00 0
7fdb0c000000-7fdb0c082000 rwxp 00000000 00:00 0
7fdb0c082000-7fdb10000000 ---p 00000000 00:00 0
7fdb106ae000-7fdb106af000 ---p 00000000 00:00 0
7fdb106af000-7fdb10eaf000 rwxp 00000000 00:00 0
7fdb10eaf000-7fdb10eb0000 ---p 00000000 00:00 0
7fdb10eb0000-7fdb116b0000 rwxp 00000000 00:00 0
7fdb116b0000-7fdb116b1000 ---p 00000000 00:00 0
7fdb116b1000-7fdb11eb1000 rwxp 00000000 00:00 0
7fdb11eb1000-7fdb11eb2000 ---p 00000000 00:00 0
7fdb11eb2000-7fdb126b2000 rwxp 00000000 00:00 0
7fdb126b2000-7fdb126b3000 ---p 00000000 00:00 0
7fdb126b3000-7fdb12eb3000 rwxp 00000000 00:00 0
7fdb12eb3000-7fdb12eb4000 ---p 00000000 00:00 0
7fdb12eb4000-7fdb136b4000 rwxp 00000000 00:00 0
7fdb136b4000-7fdb136b5000 ---p 00000000 00:00 0
7fdb136b5000-7fdb13eb5000 rwxp 00000000 00:00 0
7fdb13eb5000-7fdb13eb6000 ---p 00000000 00:00 0
7fdb13eb6000-7fdb1695b000 rwxp 00000000 00:00 0
7fdb1695b000-7fdb16d20000 r-xp 00000000 08:11 13844772 /opt/VServer/lib/libvclient_release_x64.so.558
7fdb16d20000-7fdb16f20000 ---p 003c5000 08:11 13844772 /opt/VServer/lib/libvclient_release_x64.so.558
7fdb16f20000-7fdb16f74000 r-xp 003c5000 08:11 13844772 /opt/VServer/lib/libvclient_release_x64.so.558
7fdb16f74000-7fdb16f85000 rwxp 00419000 08:11 13844772 /opt/VServer/lib/libvclient_release_x64.so.558
7fdb16f85000-7fdb16f89000 rwxp 00000000 00:00 0
7fdb16f89000-7fdb1710a000 r-xp 00000000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7fdb1710a000-7fdb1730a000 ---p 00181000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7fdb1730a000-7fdb1730e000 r-xp 00181000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7fdb1730e000-7fdb1730f000 rwxp 00185000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7fdb1730f000-7fdb17314000 rwxp 00000000 00:00 0
7fdb17314000-7fdb17329000 r-xp 00000000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7fdb17329000-7fdb17529000 ---p 00015000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7fdb17529000-7fdb1752a000 rwxp 00015000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7fdb1752a000-7fdb175ab000 r-xp 00000000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7fdb175ab000-7fdb177aa000 ---p 00081000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7fdb177aa000-7fdb177ab000 r-xp 00080000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7fdb177ab000-7fdb177ac000 rwxp 00081000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7fdb177ac000-7fdb17894000 r-xp 00000000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7fdb17894000-7fdb17a94000 ---p 000e8000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7fdb17a94000-7fdb17a9c000 r-xp 000e8000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7fdb17a9c000-7fdb17a9e000 rwxp 000f0000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7fdb17a9e000-7fdb17ab3000 rwxp 00000000 00:00 0
7fdb17ab3000-7fdb17aba000 r-xp 00000000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7fdb17aba000-7fdb17cb9000 ---p 00007000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.soSignal SIGABRT segementation fault
TagsNo tags attached.

Activities

Erich Geiersberger

Erich Geiersberger

2014-10-08 12:10

reporter   ~0007928

Last edited: 2014-10-08 12:11

View 2 revisions

Another error, after doing the same:

*** glibc detected *** ./vserver: realloc(): invalid pointer: 0x0000000000e1f020 ***
*** glibc detected *** ./vserver: malloc(): memory corruption: 0x0000000000e1e8a0 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x76aa6)[0x7f38a57e1aa6]
/lib/x86_64-linux-gnu/libc.so.6(+0x79b13)[0x7f38a57e4b13]
/lib/x86_64-linux-gnu/libc.so.6(__libc_malloc+0x70)[0x7f38a57e6930]
/lib/x86_64-linux-gnu/libc.so.6(+0x6d1fb)[0x7f38a57d81fb]
/lib/x86_64-linux-gnu/libc.so.6(+0x76aa6)[0x7f38a57e1aa6]
/lib/x86_64-linux-gnu/libc.so.6(realloc+0x312)[0x7f38a57e7cb2]
/lib64/ld-linux-x86-64.so.2(+0x10eec)[0x7f38aa945eec]
/lib64/ld-linux-x86-64.so.2(__tls_get_addr+0x3d)[0x7f38aa9460fd]
/lib/x86_64-linux-gnu/libc.so.6(+0x137dc0)[0x7f38a58a2dc0]
/lib/x86_64-linux-gnu/libc.so.6(__libc_thread_freeres+0x22)[0x7f38a58a2d92]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x6b63)[0x7f38a66a7b63]
/lib/x86_64-linux-gnu/libc.so.6(clone+0x6d)[0x7f38a5846e6d]
======= Memory map: ========
00400000-0080a000 r-xp 00000000 08:11 13844732 /opt/VServer/VServer/vserver
00a09000-00a28000 r-xp 00409000 08:11 13844732 /opt/VServer/VServer/vserver
00a28000-00a39000 rwxp 00428000 08:11 13844732 /opt/VServer/VServer/vserver
00a39000-00a42000 rwxp 00000000 00:00 0
00aec000-00e36000 rwxp 00000000 00:00 0 [heap]
7f388a7f5000-7f388a7f6000 ---p 00000000 00:00 0
7f388a7f6000-7f388aff6000 rwxp 00000000 00:00 0
7f388aff6000-7f388aff7000 ---p 00000000 00:00 0
7f388aff7000-7f388b7f7000 rwxp 00000000 00:00 0
7f388b7f7000-7f388b7f8000 ---p 00000000 00:00 0
7f388b7f8000-7f388bff8000 rwxp 00000000 00:00 0
7f388bff8000-7f388bff9000 ---p 00000000 00:00 0
7f388bff9000-7f388c7f9000 rwxp 00000000 00:00 0
7f388c7f9000-7f388c7fa000 ---p 00000000 00:00 0
7f388c7fa000-7f388cffa000 rwxp 00000000 00:00 0
7f388dffc000-7f388dffd000 ---p 00000000 00:00 0
7f388dffd000-7f388e7fd000 rwxp 00000000 00:00 0
7f388f7ff000-7f388f800000 ---p 00000000 00:00 0
7f388f800000-7f3890000000 rwxp 00000000 00:00 0
7f3890000000-7f3890021000 rwxp 00000000 00:00 0
7f3890021000-7f3894000000 ---p 00000000 00:00 0
7f38947f1000-7f38947f2000 ---p 00000000 00:00 0
7f38947f2000-7f3894ff2000 rwxp 00000000 00:00 0
7f3895ff4000-7f3895ff5000 ---p 00000000 00:00 0
7f3895ff5000-7f38967f5000 rwxp 00000000 00:00 0
7f3896ff6000-7f3896ff7000 ---p 00000000 00:00 0
7f3896ff7000-7f38977f7000 rwxp 00000000 00:00 0
7f38977f7000-7f38977f8000 ---p 00000000 00:00 0
7f38977f8000-7f3897ff8000 rwxp 00000000 00:00 0
7f3897ff8000-7f3897ff9000 ---p 00000000 00:00 0
7f3897ff9000-7f38987f9000 rwxp 00000000 00:00 0
7f3898ffa000-7f3898ffb000 ---p 00000000 00:00 0
7f3898ffb000-7f38997fb000 rwxp 00000000 00:00 0
7f3899ffc000-7f3899ffd000 ---p 00000000 00:00 0
7f3899ffd000-7f389a7fd000 rwxp 00000000 00:00 0
7f389a7fd000-7f389a7fe000 ---p 00000000 00:00 0
7f389a7fe000-7f389affe000 rwxp 00000000 00:00 0
7f389affe000-7f389afff000 ---p 00000000 00:00 0
7f389afff000-7f389b7ff000 rwxp 00000000 00:00 0
7f389b7ff000-7f389b800000 ---p 00000000 00:00 0
7f389b800000-7f389c000000 rwxp 00000000 00:00 0
7f389c000000-7f389c052000 rwxp 00000000 00:00 0
7f389c052000-7f38a0000000 ---p 00000000 00:00 0
7f38a0693000-7f38a0694000 ---p 00000000 00:00 0
7f38a0694000-7f38a0e94000 rwxp 00000000 00:00 0
7f38a0e94000-7f38a0e95000 ---p 00000000 00:00 0
7f38a0e95000-7f38a1695000 rwxp 00000000 00:00 0
7f38a1695000-7f38a1696000 ---p 00000000 00:00 0
7f38a1696000-7f38a1e96000 rwxp 00000000 00:00 0
7f38a1e96000-7f38a1e97000 ---p 00000000 00:00 0
7f38a1e97000-7f38a2697000 rwxp 00000000 00:00 0
7f38a2697000-7f38a2698000 ---p 00000000 00:00 0
7f38a2698000-7f38a513d000 rwxp 00000000 00:00 0
7f38a513d000-7f38a5502000 r-xp 00000000 08:11 13844772 /opt/VServer/VServer/lib/libvclient_release_x64.so.558
7f38a5502000-7f38a5702000 ---p 003c5000 08:11 13844772 /opt/VServer/VServer/lib/libvclient_release_x64.so.558
7f38a5702000-7f38a5756000 r-xp 003c5000 08:11 13844772 /opt/VServer/VServer/lib/libvclient_release_x64.so.558
7f38a5756000-7f38a5767000 rwxp 00419000 08:11 13844772 /opt/VServer/VServer/lib/libvclient_release_x64.so.558
7f38a5767000-7f38a576b000 rwxp 00000000 00:00 0
7f38a576b000-7f38a58ec000 r-xp 00000000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7f38a58ec000-7f38a5aec000 ---p 00181000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7f38a5aec000-7f38a5af0000 r-xp 00181000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7f38a5af0000-7f38a5af1000 rwxp 00185000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7f38a5af1000-7f38a5af6000 rwxp 00000000 00:00 0
7f38a5af6000-7f38a5b0b000 r-xp 00000000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f38a5b0b000-7f38a5d0b000 ---p 00015000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f38a5d0b000-7f38a5d0c000 rwxp 00015000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f38a5d0c000-7f38a5d8d000 r-xp 00000000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7f38a5d8d000-7f38a5f8c000 ---p 00081000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7f38a5f8c000-7f38a5f8d000 r-xp 00080000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7f38a5f8d000-7f38a5f8e000 rwxp 00081000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7f38a5f8e000-7f38a6076000 r-xp 00000000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f38a6076000-7f38a6276000 ---p 000e8000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f38a6276000-7f38a627e000 r-xp 000e8000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f38a627e000-7f38a6280000 rwxp 000f0000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f38a6280000-7f38a6295000 rwxp 00000000 00:00 0
7f38a6295000-7f38a629c000 r-xp 00000000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7f38a629c000-7f38a649b000 ---p 00007000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7f38a649b000-7f38a649c000 r-xp 00006000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7f38a649c000-7f38a649d000 rwxp 00007000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7f38a649d000-7f38a649f000 r-xp 00000000 08:01 394092 /lib/x86_64-linux-gnu/libdl-2.13.so
7f38a649f000-7f38a669f000 ---p 00002000 08:01 394092 /lib/x86_64-linux-gnu/libdl-2.13.so
7f38a669f000-7f38a66a0000 r-xp 00002000 08:01 394092 /lib/x86_64-linux-gnu/libdl-2.13.so
7f38a66a0000-7f38a66a1000 rwxp 00003000 08:01 394092 /lib/x86_64-linux-gnu/libdl-2.13.so
7f38a66a1000-7f38a66b8000 r-xp 00000000 08:01 394308 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f38a66b8000-7f38a68b7000 ---p 00017000 08:01 394308 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f38a68b7000-7f38a68b8000 r-xp 00016000 08:01 394308 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f38a68b8000-7f38a68b9000 rwxp 00017000 08:01 394308 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f38a68b9000-7f38a68bd000 rwxp 00000000 00:00 0
7f38a68bd000-7f38a7295000 r-xp 00000000 08:11 13844766 /opt/VServer/VServer/lib/libvreport_release_x64.so.558
7f38a7295000-7f38a7494000 ---p 009d8000 08:11 13844766 /opt/VServer/VServer/lib/libvreport_release_x64.so.558
7f38a7494000-7f38a74d7000 r-xp 009d7000 08:11 13844766 /opt/VServer/VServer/lib/libvreport_release_x64.so.558
7f38a74d7000-7f38a74fc000 rwxp 00a1a000 08:11 13844766 /opt/VServer/VServer/lib/libvreport_release_x64.so.558
7f38a74fc000-7f38a7515000 rwxp 00000000 00:00 0
7f38a7515000-7f38a82e6000 r-xp 00000000 08:11 13844770 /opt/VServer/VServer/lib/libvkernel_release_x64.so.558
7f38a82e6000-7f38a84e5000 ---p 00dd1000 08:11 13844770 /opt/VServer/VServer/lib/libvkernel_release_x64.so.558
7f38a84e5000-7f38a86f2000 r-xp 00dd0000 08:11 13844770 /opt/VServer/VServer/lib/libvkernel_release_x64.so.558
7f38a86f2000-7f38a86f7000 rwxp 00fdd000 08:11 13844770 /opt/VServer/VServer/lib/libvkernel_release_x64.so.558
7f38a86f7000-7f38a86fb000 rwxp 00000000 00:00 0
7f38a86fb000-7f38a89fc000 r-xp 00000000 08:11 13844773 /opt/VServer/VServer/lib/libvshared_release_x64.so.558
7f38a89fc000-7f38a8bfb000 ---p 00301000 08:11 13844773 /opt/VServer/VServer/lib/libvshared_release_x64.so.558
7f38a8bfb000-7f38a8c1a000 r-xp 00300000 08:11 13844773 /opt/VServer/VServer/lib/libvshared_release_x64.so.558
7f38a8c1a000-7f38a8c23000 rwxp 0031f000 08:11 13844773 /opt/VServer/VServer/lib/libvshared_release_x64.so.558
7f38a8c23000-7f38a8c28000 rwxp 00000000 00:00 0
7f38a8c28000-7f38a8da6000 r-xp 00000000 08:11 13844767 /opt/VServer/VServer/lib/libicuuc.so.48
7f38a8da6000-7f38a8fa6000 ---p 0017e000 08:11 13844767 /opt/VServer/VServer/lib/libicuuc.so.48
7f38a8fa6000-7f38a8fb6000 r-xp 0017e000 08:11 13844767 /opt/VServer/VServer/lib/libicuuc.so.48
7f38a8fb6000-7f38a8fb7000 rwxp 0018e000 08:11 13844767 /opt/VServer/VServer/lib/libicuuc.so.48
7f38a8fb7000-7f38a8fbb000 rwxp 00000000 00:00 0
7f38a8fbb000-7f38a8fd2000 r-xp 00000000 08:11 13844771 /opt/VServer/VServer/lib/libicuio.so.48
7f38a8fd2000-7f38a91d1000 ---p 00017000 08:11 13844771 /opt/VServer/VServer/lib/libicuio.so.48
7f38a91d1000-7f38a91d3000 r-xp 00016000 08:11 13844771 /opt/VServer/VServer/lib/libicuio.so.48
7f38a91d3000-7f38a91d4000 rwxp 00018000 08:11 13844771 /opt/VServer/VServer/lib/libicuio.so.48
7f38a91d4000-7f38a93b8000 r-xp 00000000 08:11 13844762 /opt/VServer/VServer/lib/libicui18n.so.48
7f38a93b8000-7f38a95b8000 ---p 001e4000 08:11 13844762 /opt/VServer/VServer/lib/libicui18n.so.48
7f38a95b8000-7f38a95c3000 r-xp 001e4000 08:11 13844762 /opt/VServer/VServer/lib/libicui18n.so.48
7f38a95c3000-7f38a95c5000 rwxp 001ef000 08:11 13844762 /opt/VServer/VServer/lib/libicui18n.so.48
7f38a95c5000-7f38a95c6000 rwxp 00000000 00:00 0
7f38a95c6000-7f38aa735000 r-xp 00000000 08:11 13844764 /opt/VServer/VServer/lib/libicudata.so.48
7f38aa735000-7f38aa934000 ---p 0116f000 08:11 13844764 /opt/VServer/VServer/lib/libicudata.so.48
7f38aa934000-7f38aa935000 r-xp 0116e000 08:11 13844764 /opt/VServer/VServer/lib/libicudata.so.48
7f38aa935000-7f38aa955000 r-xp 00000000 08:01 394053 /lib/x86_64-linux-gnu/ld-2.13.so
7f38aa9c5000-7f38aab3c000 r-xp 00000000 08:01 12583053 /usr/lib/locale/locale-archive
7f38aab3c000-7f38aab46000 rwxp 00000000 00:00 0
7f38aab49000-7f38aab50000 r-xs 00000000 08:01 12589809 /usr/lib/x86_64-linux-gnu/gconv/gconv-modules.cache
7f38aab50000-7f38aab54000 rwxp 00000000 00:00 0
7f38aab54000-7f38aab55000 r-xp 0001f000 08:01 394053 /lib/x86_64-linux-gnu/ld-2.13.so
7f38aab55000-7f38aab56000 rwxp 00020000 08:01 394053 /lib/x86_64-linux-gnu/ld-2.13.so
7f38aab56000-7f38aab57000 rwxp 00000000 00:00 0
7fff0cd0d000-7fff0cd2e000 rwxp 00000000 00:00 0 [stack]
7fff0cdff000-7fff0ce00000 r-xp 00000000 00:00 0 [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]
Signal SIGABRT
*** glibc detected *** ./vserver: realloc(): invalid pointer: 0x0000000000e1ec60 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x76aa6)[0x7f38a57e1aa6]
/lib/x86_64-linux-gnu/libc.so.6(realloc+0x312)[0x7f38a57e7cb2]
/lib64/ld-linux-x86-64.so.2(+0x10eec)[0x7f38aa945eec]
/lib64/ld-linux-x86-64.so.2(__tls_get_addr+0x3d)[0x7f38aa9460fd]
/lib/x86_64-linux-gnu/libc.so.6(+0x137dc0)[0x7f38a58a2dc0]
/lib/x86_64-linux-gnu/libc.so.6(__libc_thread_freeres+0x22)[0x7f38a58a2d92]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x6b63)[0x7f38a66a7b63]
/lib/x86_64-linux-gnu/libc.so.6(clone+0x6d)[0x7f38a5846e6d]
======= Memory map: ========
00400000-0080a000 r-xp 00000000 08:11 13844732 /opt/VServer/VServer/vserver
00a09000-00a28000 r-xp 00409000 08:11 13844732 /opt/VServer/VServer/vserver
00a28000-00a39000 rwxp 00428000 08:11 13844732 /opt/VServer/VServer/vserver
00a39000-00a42000 rwxp 00000000 00:00 0
00aec000-00e36000 rwxp 00000000 00:00 0 [heap]
7f388a7f5000-7f388a7f6000 ---p 00000000 00:00 0
7f388a7f6000-7f388aff6000 rwxp 00000000 00:00 0
7f388aff6000-7f388aff7000 ---p 00000000 00:00 0
7f388aff7000-7f388b7f7000 rwxp 00000000 00:00 0
7f388b7f7000-7f388b7f8000 ---p 00000000 00:00 0
7f388b7f8000-7f388bff8000 rwxp 00000000 00:00 0
7f388bff8000-7f388bff9000 ---p 00000000 00:00 0
7f388bff9000-7f388c7f9000 rwxp 00000000 00:00 0
7f388c7f9000-7f388c7fa000 ---p 00000000 00:00 0
7f388c7fa000-7f388cffa000 rwxp 00000000 00:00 0
7f388dffc000-7f388dffd000 ---p 00000000 00:00 0
7f388dffd000-7f388e7fd000 rwxp 00000000 00:00 0
7f388f7ff000-7f388f800000 ---p 00000000 00:00 0
7f388f800000-7f3890000000 rwxp 00000000 00:00 0
7f3890000000-7f3890021000 rwxp 00000000 00:00 0
7f3890021000-7f3894000000 ---p 00000000 00:00 0
7f38947f1000-7f38947f2000 ---p 00000000 00:00 0
7f38947f2000-7f3894ff2000 rwxp 00000000 00:00 0
7f3895ff4000-7f3895ff5000 ---p 00000000 00:00 0
7f3895ff5000-7f38967f5000 rwxp 00000000 00:00 0
7f3896ff6000-7f3896ff7000 ---p 00000000 00:00 0
7f3896ff7000-7f38977f7000 rwxp 00000000 00:00 0
7f38977f7000-7f38977f8000 ---p 00000000 00:00 0
7f38977f8000-7f3897ff8000 rwxp 00000000 00:00 0
7f3897ff8000-7f3897ff9000 ---p 00000000 00:00 0
7f3897ff9000-7f38987f9000 rwxp 00000000 00:00 0
7f3898ffa000-7f3898ffb000 ---p 00000000 00:00 0
7f3898ffb000-7f38997fb000 rwxp 00000000 00:00 0
7f3899ffc000-7f3899ffd000 ---p 00000000 00:00 0
7f3899ffd000-7f389a7fd000 rwxp 00000000 00:00 0
7f389a7fd000-7f389a7fe000 ---p 00000000 00:00 0
7f389a7fe000-7f389affe000 rwxp 00000000 00:00 0
7f389affe000-7f389afff000 ---p 00000000 00:00 0
7f389afff000-7f389b7ff000 rwxp 00000000 00:00 0
7f389b7ff000-7f389b800000 ---p 00000000 00:00 0
7f389b800000-7f389c000000 rwxp 00000000 00:00 0
7f389c000000-7f389c052000 rwxp 00000000 00:00 0
7f389c052000-7f38a0000000 ---p 00000000 00:00 0
7f38a0693000-7f38a0694000 ---p 00000000 00:00 0
7f38a0694000-7f38a0e94000 rwxp 00000000 00:00 0
7f38a0e94000-7f38a0e95000 ---p 00000000 00:00 0
7f38a0e95000-7f38a1695000 rwxp 00000000 00:00 0
7f38a1695000-7f38a1696000 ---p 00000000 00:00 0
7f38a1696000-7f38a1e96000 rwxp 00000000 00:00 0
7f38a1e96000-7f38a1e97000 ---p 00000000 00:00 0
7f38a1e97000-7f38a2697000 rwxp 00000000 00:00 0
7f38a2697000-7f38a2698000 ---p 00000000 00:00 0
7f38a2698000-7f38a513d000 rwxp 00000000 00:00 0
7f38a513d000-7f38a5502000 r-xp 00000000 08:11 13844772 /opt/VServer/VServer/lib/libvclient_release_x64.so.558
7f38a5502000-7f38a5702000 ---p 003c5000 08:11 13844772 /opt/VServer/VServer/lib/libvclient_release_x64.so.558
7f38a5702000-7f38a5756000 r-xp 003c5000 08:11 13844772 /opt/VServer/VServer/lib/libvclient_release_x64.so.558
7f38a5756000-7f38a5767000 rwxp 00419000 08:11 13844772 /opt/VServer/VServer/lib/libvclient_release_x64.so.558
7f38a5767000-7f38a576b000 rwxp 00000000 00:00 0
7f38a576b000-7f38a58ec000 r-xp 00000000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7f38a58ec000-7f38a5aec000 ---p 00181000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7f38a5aec000-7f38a5af0000 r-xp 00181000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7f38a5af0000-7f38a5af1000 rwxp 00185000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7f38a5af1000-7f38a5af6000 rwxp 00000000 00:00 0
7f38a5af6000-7f38a5b0b000 r-xp 00000000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f38a5b0b000-7f38a5d0b000 ---p 00015000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f38a5d0b000-7f38a5d0c000 rwxp 00015000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f38a5d0c000-7f38a5d8d000 r-xp 00000000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7f38a5d8d000-7f38a5f8c000 ---p 00081000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7f38a5f8c000-7f38a5f8d000 r-xp 00080000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7f38a5f8d000-7f38a5f8e000 rwxp 00081000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7f38a5f8e000-7f38a6076000 r-xp 00000000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f38a6076000-7f38a6276000 ---p 000e8000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f38a6276000-7f38a627e000 r-xp 000e8000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f38a627e000-7f38a6280000 rwxp 000f0000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f38a6280000-7f38a6295000 rwxp 00000000 00:00 0
7f38a6295000-7f38a629c000 r-xp 00000000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7f38a629c000-7f38a649b000 ---p 00007000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7f38a649b000-7f38a649c000 r-xp 00006000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7f38a649c000-7f38a649d000 rwxp 00007000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7f38a649d000-7f38a649f000 r-xp 00000000 08:01 394092 /lib/x86_64-linux-gnu/libdl-2.13.so
7f38a649f000-7f38a669f000 ---p 00002000 08:01 394092 /lib/x86_64-linux-gnu/libdl-2.13.so
7f38a669f000-7f38a66a0000 r-xp 00002000 08:01 394092 /lib/x86_64-linux-gnu/libdl-2.13.so
7f38a66a0000-7f38a66a1000 rwxp 00003000 08:01 394092 /lib/x86_64-linux-gnu/libdl-2.13.so
7f38a66a1000-7f38a66b8000 r-xp 00000000 08:01 394308 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f38a66b8000-7f38a68b7000 ---p 00017000 08:01 394308 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f38a68b7000-7f38a68b8000 r-xp 00016000 08:01 394308 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f38a68b8000-7f38a68b9000 rwxp 00017000 08:01 394308 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f38a68b9000-7f38a68bd000 rwxp 00000000 00:00 0
7f38a68bd000-7f38a7295000 r-xp 00000000 08:11 13844766 /opt/VServer/VServer/lib/libvreport_release_x64.so.558
7f38a7295000-7f38a7494000 ---p 009d8000 08:11 13844766 /opt/VServer/VServer/lib/libvreport_release_x64.so.558
7f38a7494000-7f38a74d7000 r-xp 009d7000 08:11 13844766 /opt/VServer/VServer/lib/libvreport_release_x64.so.558
7f38a74d7000-7f38a74fc000 rwxp 00a1a000 08:11 13844766 /opt/VServer/VServer/lib/libvreport_release_x64.so.558
7f38a74fc000-7f38a7515000 rwxp 00000000 00:00 0
7f38a7515000-7f38a82e6000 r-xp 00000000 08:11 13844770 /opt/VServer/VServer/lib/libvkernel_release_x64.so.558
7f38a82e6000-7f38a84e5000 ---p 00dd1000 08:11 13844770 /opt/VServer/VServer/lib/libvkernel_release_x64.so.558
7f38a84e5000-7f38a86f2000 r-xp 00dd0000 08:11 13844770 /opt/VServer/VServer/lib/libvkernel_release_x64.so.558
7f38a86f2000-7f38a86f7000 rwxp 00fdd000 08:11 13844770 /opt/VServer/VServer/lib/libvkernel_release_x64.so.558
7f38a86f7000-7f38a86fb000 rwxp 00000000 00:00 0
7f38a86fb000-7f38a89fc000 r-xp 00000000 08:11 13844773 /opt/VServer/VServer/lib/libvshared_release_x64.so.558
7f38a89fc000-7f38a8bfb000 ---p 00301000 08:11 13844773 /opt/VServer/VServer/lib/libvshared_release_x64.so.558
7f38a8bfb000-7f38a8c1a000 r-xp 00300000 08:11 13844773 /opt/VServer/VServer/lib/libvshared_release_x64.so.558
7f38a8c1a000-7f38a8c23000 rwxp 0031f000 08:11 13844773 /opt/VServer/VServer/lib/libvshared_release_x64.so.558
7f38a8c23000-7f38a8c28000 rwxp 00000000 00:00 0
7f38a8c28000-7f38a8da6000 r-xp 00000000 08:11 13844767 /opt/VServer/VServer/lib/libicuuc.so.48
7f38a8da6000-7f38a8fa6000 ---p 0017e000 08:11 13844767 /opt/VServer/VServer/lib/libicuuc.so.48
7f38a8fa6000-7f38a8fb6000 r-xp 0017e000 08:11 13844767 /opt/VServer/VServer/lib/libicuuc.so.48
7f38a8fb6000-7f38a8fb7000 rwxp 0018e000 08:11 13844767 /opt/VServer/VServer/lib/libicuuc.so.48
7f38a8fb7000-7f38a8fbb000 rwxp 00000000 00:00 0
7f38a8fbb000-7f38a8fd2000 r-xp 00000000 08:11 13844771 /opt/VServer/VServer/lib/libicuio.so.48
7f38a8fd2000-7f38a91d1000 ---p 00017000 08:11 13844771 /opt/VServer/VServer/lib/libicuio.so.48
7f38a91d1000-7f38a91d3000 r-xp 00016000 08:11 13844771 /opt/VServer/VServer/lib/libicuio.so.48
7f38a91d3000-7f38a91d4000 rwxp 00018000 08:11 13844771 /opt/VServer/VServer/lib/libicuio.so.48
7f38a91d4000-7f38a93b8000 r-xp 00000000 08:11 13844762 /opt/VServer/VServer/lib/libicui18n.so.48
7f38a93b8000-7f38a95b8000 ---p 001e4000 08:11 13844762 /opt/VServer/VServer/lib/libicui18n.so.48
7f38a95b8000-7f38a95c3000 r-xp 001e4000 08:11 13844762 /opt/VServer/VServer/lib/libicui18n.so.48
7f38a95c3000-7f38a95c5000 rwxp 001ef000 08:11 13844762 /opt/VServer/VServer/lib/libicui18n.so.48
7f38a95c5000-7f38a95c6000 rwxp 00000000 00:00 0
7f38a95c6000-7f38aa735000 r-xp 00000000 08:11 13844764 /opt/VServer/VServer/lib/libicudata.so.48
7f38aa735000-7f38aa934000 ---p 0116f000 08:11 13844764 /opt/VServer/VServer/lib/libicudata.so.48
7f38aa934000-7f38aa935000 r-xp 0116e000 08:11 13844764 /opt/VServer/VServer/lib/libicudata.so.48
7f38aa935000-7f38aa955000 r-xp 00000000 08:01 394053 /lib/x86_64-linux-gnu/ld-2.13.so
7f38aa9c5000-7f38aab3c000 r-xp 00000000 08:01 12583053 /usr/lib/locale/locale-archiveSignal SIGABRT
Signal SIGABRT
Signal SIGABRT
segementation fault

Erich Geiersberger

Erich Geiersberger

2014-10-08 12:14

reporter   ~0007929

Additional information:
The OS and all libraries are fully updated.

The exact OS Information (from uname):
Debian Wheezy Kernel 3.2.0-4-amd64 #1 SMP Debian Headers 3.2.60-1+deb7u3 x86_64 GNU/Linux
Ivan Smahin

Ivan Smahin

2014-10-09 05:15

manager   ~0007930

Please attach whole vServer log (I need to see vServer version and related info)
Erich Geiersberger

Erich Geiersberger

2014-10-09 07:49

reporter   ~0007931

Here is the complete log with the headers:

2014-10-08 13:45:30.464442 (TID 140578900358912): Database engine inited

/*************************************************************************************/
2014-10-08 13:45:30.995769 vserver (Type x64, Server 5.5.8, Kernel 5.5.8 )
vKernel is externally-synched type.
Licence license_lin_4430239276302579 is registered to media connect.
Valid until 9999-12-31. Subscription valid until 2015-10-07.
Maximum number of connections: 5

2014-10-08 13:45:31.264442 (TID 140578900358912): VProject facilities are available
2014-10-08 13:45:31.264513 (TID 140578900358912): Server started
2014-10-08 13:45:31.264534 (TID 140578900358912): Non-secure port: 15001
2014-10-08 13:45:50.267184 (TID 140578900358912): (UID 12) Connection established with '127.0.0.1:55261'. ( Connections available: '4')
2014-10-08 13:45:50.267909 (TID 140578908751616): (UID 12) User: testuser. Connection encoding: UTF-8 - LittleEndian.
2014-10-08 13:45:50.268533 (TID 140578891966208): (UID 12) Database '(null)' remoteID 25752400 registered.
2014-10-08 13:45:50.268580 (TID 140578891966208): (UID 12) Database: <none>; User: testuser: OK
2014-10-08 13:45:50.268705 (TID 140578908751616): (UID 12) Database 'test_language' put_Location.
2014-10-08 13:45:50.268804 (TID 140578775889664): (UID 12) Database '(null)' remoteID 25752400 unregistered.
2014-10-08 13:45:50.268846 (TID 140578775889664): (UID 12) Database 'language.vdb' remoteID 25752400 registered.
2014-10-08 13:45:50.268945 (TID 140578775889664): (UID 12) Database 'test_language' has been successfully opened.
2014-10-08 13:45:50.269766 (TID 140578908751616): (UID 12) Database: language; User: testuser: OK
2014-10-08 13:45:50.270275 (TID 140578775889664): (UID 12) Database '(null)' remoteID 25798816 registered.
2014-10-08 13:45:50.270320 (TID 140578775889664): (UID 12) Database: <none>; User: testuser: OK
2014-10-08 13:45:50.270436 (TID 140578891966208): (UID 12) Database 'test_language' put_Location.
2014-10-08 13:45:50.270529 (TID 140578908751616): (UID 12) Database '(null)' remoteID 25798816 unregistered.
2014-10-08 13:45:50.270583 (TID 140578908751616): (UID 12) Database 'language.vdb' remoteID 25798816 registered.
2014-10-08 13:45:50.270704 (TID 140578908751616): (UID 12) Database 'test_language' has been successfully opened.
2014-10-08 13:45:50.270807 (TID 140578775889664): (UID 12) Database: language; User: testuser: OK
2014-10-08 13:45:50.270915 (TID 140578891966208): (UID 12) Database 'language.vdb' remoteID 25752400 unregistered.
2014-10-08 13:45:50.270945 (TID 140578891966208): (UID 12) Closing database 'language': OK
2014-10-08 13:45:50.391734 (TID 140578891966208): (UID 12) Database 'test_language' has been successfully closed.
2014-10-08 13:45:50.391803 (TID 140578891966208): (UID 12) Database 'test_language' object memory released.
2014-10-08 13:45:50.394589 (TID 140578775889664): (UID 25) Connection established with '127.0.0.1:55262'. ( Connections available: '3')
2014-10-08 13:45:50.395268 (TID 140578900358912): (UID 25) User: testuser. Connection encoding: UTF-8 - LittleEndian.
2014-10-08 13:45:50.395885 (TID 140578891966208): (UID 25) Database '(null)' remoteID 25692544 registered.
2014-10-08 13:45:50.395932 (TID 140578891966208): (UID 25) Database: <none>; User: testuser: OK
2014-10-08 13:45:50.396051 (TID 140578900358912): (UID 25) Database 'test_data' put_Location.
2014-10-08 13:45:50.396167 (TID 140578908751616): (UID 25) Database '(null)' remoteID 25692544 unregistered.

*** glibc detected *** ./vserver: corrupted double-linked list: 0x0000000001a3cf80 ***

======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x76aa6)[0x7fdb16fffaa6]
/lib/x86_64-linux-gnu/libc.so.6(+0x784a7)[0x7fdb170014a7]
/lib/x86_64-linux-gnu/libc.so.6(cfree+0x6c)[0x7fdb1700484c]
/lib64/ld-linux-x86-64.so.2(_dl_deallocate_tls+0x67)[0x7fdb1c163d57]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x692d)[0x7fdb17ec592d]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x6a39)[0x7fdb17ec5a39]
/lib/x86_64-linux-gnu/libpthread.so.0(pthread_join+0xdd)[0x7fdb17ec6e3d]
 /opt/VServer/lib/libvkernel_release_x64.so.558(_ZN3fbl12thread_qsortISt4pairIjjEPFbS2_S2_EEEPvS5_+0x169)[0x7fdb198d1de9]
 /opt/VServer/lib/libvshared_release_x64.so.558(_ZN3fbl27Thread_Simple_Main_FunctionEPv+0xf)[0x7fdb1a036b5f]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x6b50)[0x7fdb17ec5b50]
/lib/x86_64-linux-gnu/libc.so.6(clone+0x6d)[0x7fdb17064e6d]
======= Memory map: ========
00400000-0080a000 r-xp 00000000 08:11 13844732 /opt/VServer/vserver
00a09000-00a28000 r-xp 00409000 08:11 13844732 /opt/VServer/vserver
00a28000-00a39000 rwxp 00428000 08:11 13844732 /opt/VServer/vserver
00a39000-00a42000 rwxp 00000000 00:00 0
01706000-01a68000 rwxp 00000000 00:00 0 [heap]
7fdafcff2000-7fdafcff3000 ---p 00000000 00:00 0
7fdafcff3000-7fdafd7f3000 rwxp 00000000 00:00 0
7fdafdff4000-7fdafdff5000 ---p 00000000 00:00 0
7fdafdff5000-7fdafe7f5000 rwxp 00000000 00:00 0
7fdafeff6000-7fdafeff7000 ---p 00000000 00:00 0
7fdafeff7000-7fdaff7f7000 rwxp 00000000 00:00 0
7fdaff7f7000-7fdaff7f8000 ---p 00000000 00:00 0
7fdaff7f8000-7fdaffff8000 rwxp 00000000 00:00 0
7fdaffff8000-7fdaffff9000 ---p 00000000 00:00 0
7fdaffff9000-7fdb007f9000 rwxp 00000000 00:00 0
7fdb007f9000-7fdb007fa000 ---p 00000000 00:00 0
7fdb007fa000-7fdb00ffa000 rwxp 00000000 00:00 0
7fdb00ffa000-7fdb00ffb000 ---p 00000000 00:00 0
7fdb00ffb000-7fdb017fb000 rwxp 00000000 00:00 0
7fdb01ffc000-7fdb01ffd000 ---p 00000000 00:00 0
7fdb01ffd000-7fdb027fd000 rwxp 00000000 00:00 0
7fdb027fd000-7fdb027fe000 ---p 00000000 00:00 0
7fdb027fe000-7fdb02ffe000 rwxp 00000000 00:00 0
7fdb037ff000-7fdb03800000 ---p 00000000 00:00 0
7fdb03800000-7fdb04000000 rwxp 00000000 00:00 0
7fdb04000000-7fdb04052000 rwxp 00000000 00:00 0
7fdb04052000-7fdb08000000 ---p 00000000 00:00 0
7fdb087f9000-7fdb087fa000 ---p 00000000 00:00 0
7fdb087fa000-7fdb08ffa000 rwxp 00000000 00:00 0
7fdb08ffa000-7fdb08ffb000 ---p 00000000 00:00 0
7fdb08ffb000-7fdb097fb000 rwxp 00000000 00:00 0
7fdb097fb000-7fdb097fc000 ---p 00000000 00:00 0
7fdb097fc000-7fdb09ffc000 rwxp 00000000 00:00 0
7fdb09ffc000-7fdb09ffd000 ---p 00000000 00:00 0
7fdb09ffd000-7fdb0a7fd000 rwxp 00000000 00:00 0
7fdb0a7fd000-7fdb0a7fe000 ---p 00000000 00:00 0
7fdb0a7fe000-7fdb0affe000 rwxp 00000000 00:00 0
7fdb0affe000-7fdb0afff000 ---p 00000000 00:00 0
7fdb0afff000-7fdb0b7ff000 rwxp 00000000 00:00 0
7fdb0b7ff000-7fdb0b800000 ---p 00000000 00:00 0
7fdb0b800000-7fdb0c000000 rwxp 00000000 00:00 0
7fdb0c000000-7fdb0c082000 rwxp 00000000 00:00 0
7fdb0c082000-7fdb10000000 ---p 00000000 00:00 0
7fdb106ae000-7fdb106af000 ---p 00000000 00:00 0
7fdb106af000-7fdb10eaf000 rwxp 00000000 00:00 0
7fdb10eaf000-7fdb10eb0000 ---p 00000000 00:00 0
7fdb10eb0000-7fdb116b0000 rwxp 00000000 00:00 0
7fdb116b0000-7fdb116b1000 ---p 00000000 00:00 0
7fdb116b1000-7fdb11eb1000 rwxp 00000000 00:00 0
7fdb11eb1000-7fdb11eb2000 ---p 00000000 00:00 0
7fdb11eb2000-7fdb126b2000 rwxp 00000000 00:00 0
7fdb126b2000-7fdb126b3000 ---p 00000000 00:00 0
7fdb126b3000-7fdb12eb3000 rwxp 00000000 00:00 0
7fdb12eb3000-7fdb12eb4000 ---p 00000000 00:00 0
7fdb12eb4000-7fdb136b4000 rwxp 00000000 00:00 0
7fdb136b4000-7fdb136b5000 ---p 00000000 00:00 0
7fdb136b5000-7fdb13eb5000 rwxp 00000000 00:00 0
7fdb13eb5000-7fdb13eb6000 ---p 00000000 00:00 0
7fdb13eb6000-7fdb1695b000 rwxp 00000000 00:00 0
7fdb1695b000-7fdb16d20000 r-xp 00000000 08:11 13844772 /opt/VServer/lib/libvclient_release_x64.so.558
7fdb16d20000-7fdb16f20000 ---p 003c5000 08:11 13844772 /opt/VServer/lib/libvclient_release_x64.so.558
7fdb16f20000-7fdb16f74000 r-xp 003c5000 08:11 13844772 /opt/VServer/lib/libvclient_release_x64.so.558
7fdb16f74000-7fdb16f85000 rwxp 00419000 08:11 13844772 /opt/VServer/lib/libvclient_release_x64.so.558
7fdb16f85000-7fdb16f89000 rwxp 00000000 00:00 0
7fdb16f89000-7fdb1710a000 r-xp 00000000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7fdb1710a000-7fdb1730a000 ---p 00181000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7fdb1730a000-7fdb1730e000 r-xp 00181000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7fdb1730e000-7fdb1730f000 rwxp 00185000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7fdb1730f000-7fdb17314000 rwxp 00000000 00:00 0
7fdb17314000-7fdb17329000 r-xp 00000000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7fdb17329000-7fdb17529000 ---p 00015000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7fdb17529000-7fdb1752a000 rwxp 00015000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7fdb1752a000-7fdb175ab000 r-xp 00000000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7fdb175ab000-7fdb177aa000 ---p 00081000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7fdb177aa000-7fdb177ab000 r-xp 00080000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7fdb177ab000-7fdb177ac000 rwxp 00081000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7fdb177ac000-7fdb17894000 r-xp 00000000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7fdb17894000-7fdb17a94000 ---p 000e8000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7fdb17a94000-7fdb17a9c000 r-xp 000e8000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7fdb17a9c000-7fdb17a9e000 rwxp 000f0000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7fdb17a9e000-7fdb17ab3000 rwxp 00000000 00:00 0
7fdb17ab3000-7fdb17aba000 r-xp 00000000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7fdb17aba000-7fdb17cb9000 ---p 00007000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.soSignal SIGABRT segementation fault
Erich Geiersberger

Erich Geiersberger

2014-10-09 08:16

reporter   ~0007932

Here is another complete server log:

2014-10-09 10:00:05.091588 (TID 140069338556576): Database engine inited

/*************************************************************************************/
2014-10-09 10:00:05.092028 vserver (Type x64, Server 5.5.8, Kernel 5.5.8 )
vKernel is externally-synched type.
Licence license_lin_4430239276302579 is registered to media connect.
Valid until 9999-12-31. Subscription valid until 2015-10-07.
Maximum number of connections: 5

2014-10-09 10:00:05.384462 (TID 140069338556576): VProject facilities are available
2014-10-09 10:00:05.384689 (TID 140069338556576): Server started
2014-10-09 10:00:05.384766 (TID 140069338556576): Non-secure port: 15001
2014-10-09 10:00:08.703733 (TID 140069207844608): (UID 12) Connection established with '127.0.0.1:43881'. ( Connections available: '4')
2014-10-09 10:00:08.704653 (TID 140069174273792): (UID 12) User: testuser. Connection encoding: UTF-8 - LittleEndian.
2014-10-09 10:00:08.705349 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25022848 registered.
2014-10-09 10:00:08.705392 (TID 140069191059200): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:08.705537 (TID 140069174273792): (UID 12) Database 'languagev7' put_Location.
2014-10-09 10:00:08.705652 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25022848 unregistered.
2014-10-09 10:00:08.769568 (TID 140069182666496): (UID 12) Database 'language.vdb' remoteID 25022848 registered.
2014-10-09 10:00:08.769643 (TID 140069182666496): (UID 12) Database 'languagev7' has been successfully opened.
2014-10-09 10:00:08.770823 (TID 140069191059200): (UID 12) Database: language; User: testuser: OK
2014-10-09 10:00:08.771377 (TID 140069174273792): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:08.771416 (TID 140069174273792): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:08.771540 (TID 140069182666496): (UID 12) Database 'languagev7' put_Location.
2014-10-09 10:00:08.771643 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:08.771683 (TID 140069191059200): (UID 12) Database 'language.vdb' remoteID 25276000 registered.
2014-10-09 10:00:08.771813 (TID 140069191059200): (UID 12) Database 'languagev7' has been successfully opened.
2014-10-09 10:00:08.771938 (TID 140069174273792): (UID 12) Database: language; User: testuser: OK
2014-10-09 10:00:08.772043 (TID 140069182666496): (UID 12) Database 'language.vdb' remoteID 25022848 unregistered.
2014-10-09 10:00:08.772074 (TID 140069182666496): (UID 12) Closing database 'language': OK
2014-10-09 10:00:08.823342 (TID 140069182666496): (UID 12) Database 'languagev7' has been successfully closed.
2014-10-09 10:00:08.823417 (TID 140069182666496): (UID 12) Database 'languagev7' object memory released.
2014-10-09 10:00:08.829193 (TID 140069174273792): (UID 12) Database: language; User: testuser: OK
2014-10-09 10:00:08.873329 (TID 140069182666496): (UID 12) Database 'languagev7' has been successfully closed.
2014-10-09 10:00:08.873523 (TID 140069191059200): (UID 12) Database: language; User: testuser: OK
2014-10-09 10:00:08.873637 (TID 140069174273792): (UID 12) Database 'language.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:08.873660 (TID 140069174273792): (UID 12) Closing database 'language': OK
2014-10-09 10:00:08.873675 (TID 140069174273792): (UID 12) Database 'languagev7' object memory released.
2014-10-09 10:00:08.873846 (TID 140069182666496): (UID 12) Closing connection. ( Connections available: '5')
2014-10-09 10:00:10.250956 (TID 140069191059200): (UID 12) Connection established with '127.0.0.1:43882'. ( Connections available: '4')
2014-10-09 10:00:10.251659 (TID 140069182666496): (UID 12) User: testuser. Connection encoding: UTF-8 - LittleEndian.
2014-10-09 10:00:10.252265 (TID 140069174273792): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:10.252301 (TID 140069174273792): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.252435 (TID 140069182666496): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.252572 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:10.384716 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25276000 registered.
2014-10-09 10:00:10.384797 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.385913 (TID 140069174273792): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.386461 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25754384 registered.
2014-10-09 10:00:10.386501 (TID 140069182666496): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.386629 (TID 140069199451904): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.386704 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25754384 unregistered.
2014-10-09 10:00:10.386749 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25754384 registered.
2014-10-09 10:00:10.386855 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.386928 (TID 140069199451904): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.386998 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:10.387025 (TID 140069199451904): (UID 12) Closing database 'core': OK
2014-10-09 10:00:10.434518 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:10.434598 (TID 140069199451904): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:10.435711 (TID 140069182666496): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.436260 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:10.436327 (TID 140069199451904): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.436429 (TID 140069199451904): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.436503 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:10.436553 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25276000 registered.
2014-10-09 10:00:10.436663 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.436741 (TID 140069199451904): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.436825 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25754384 unregistered.
2014-10-09 10:00:10.436853 (TID 140069199451904): (UID 12) Closing database 'core': OK
2014-10-09 10:00:10.484521 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:10.484597 (TID 140069199451904): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:10.485666 (TID 140069182666496): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.486200 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25754384 registered.
2014-10-09 10:00:10.486258 (TID 140069199451904): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.486356 (TID 140069199451904): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.486426 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25754384 unregistered.
2014-10-09 10:00:10.486470 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25754384 registered.
2014-10-09 10:00:10.486576 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.486648 (TID 140069199451904): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.486717 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:10.486745 (TID 140069199451904): (UID 12) Closing database 'core': OK
2014-10-09 10:00:10.534521 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:10.534598 (TID 140069199451904): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:10.539448 (TID 140069182666496): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.540054 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:10.540108 (TID 140069199451904): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.540209 (TID 140069199451904): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.540280 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:10.540325 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25276000 registered.
2014-10-09 10:00:10.540435 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.542725 (TID 140069174273792): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.543280 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25007920 registered.
2014-10-09 10:00:10.543316 (TID 140069182666496): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.543447 (TID 140069199451904): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.543544 (TID 140069174273792): (UID 12) Database '(null)' remoteID 25007920 unregistered.
2014-10-09 10:00:10.543584 (TID 140069174273792): (UID 12) Database 'core.vdb' remoteID 25007920 registered.
2014-10-09 10:00:10.543684 (TID 140069174273792): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.544756 (TID 140069199451904): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.544891 (TID 140069174273792): (UID 12) Database 'core.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:10.544915 (TID 140069174273792): (UID 12) Closing database 'core': OK
2014-10-09 10:00:10.592843 (TID 140069174273792): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:10.592916 (TID 140069174273792): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:10.594821 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:10.594881 (TID 140069199451904): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.594991 (TID 140069174273792): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.595086 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:10.595127 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25276000 registered.
2014-10-09 10:00:10.595228 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.596276 (TID 140069174273792): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.596431 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25007920 unregistered.
2014-10-09 10:00:10.596457 (TID 140069182666496): (UID 12) Closing database 'core': OK
2014-10-09 10:00:10.642850 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:10.642897 (TID 140069182666496): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:10.644838 (TID 140069174273792): (UID 12) Database '(null)' remoteID 25007920 registered.
2014-10-09 10:00:10.644906 (TID 140069174273792): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.645036 (TID 140069182666496): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.645138 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25007920 unregistered.
2014-10-09 10:00:10.645197 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25007920 registered.
2014-10-09 10:00:10.645323 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.646357 (TID 140069182666496): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.646508 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:10.646542 (TID 140069199451904): (UID 12) Closing database 'core': OK
2014-10-09 10:00:10.692845 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:10.692959 (TID 140069199451904): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:10.694868 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:10.694917 (TID 140069182666496): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.695054 (TID 140069199451904): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.695156 (TID 140069174273792): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:10.695208 (TID 140069174273792): (UID 12) Database 'core.vdb' remoteID 25276000 registered.
2014-10-09 10:00:10.695320 (TID 140069174273792): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.696389 (TID 140069199451904): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.696528 (TID 140069174273792): (UID 12) Database 'core.vdb' remoteID 25007920 unregistered.
2014-10-09 10:00:10.696561 (TID 140069174273792): (UID 12) Closing database 'core': OK
2014-10-09 10:00:10.742842 (TID 140069174273792): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:10.742925 (TID 140069174273792): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:10.744847 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25752736 registered.
2014-10-09 10:00:10.744909 (TID 140069199451904): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.745017 (TID 140069174273792): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.745108 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25752736 unregistered.
2014-10-09 10:00:10.745152 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25752736 registered.
2014-10-09 10:00:10.745255 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.746347 (TID 140069199451904): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.746484 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:10.746509 (TID 140069182666496): (UID 12) Closing database 'core': OK
2014-10-09 10:00:10.792835 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:10.792905 (TID 140069182666496): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:10.794846 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25007920 registered.
2014-10-09 10:00:10.794908 (TID 140069199451904): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.795027 (TID 140069182666496): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.795125 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25007920 unregistered.
2014-10-09 10:00:10.795167 (TID 140069191059200): (UID 12) Database 'core.vdb' remoteID 25007920 registered.
2014-10-09 10:00:10.795271 (TID 140069191059200): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.796359 (TID 140069182666496): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.796496 (TID 140069191059200): (UID 12) Database 'core.vdb' remoteID 25752736 unregistered.
2014-10-09 10:00:10.796521 (TID 140069191059200): (UID 12) Closing database 'core': OK
2014-10-09 10:00:10.842833 (TID 140069191059200): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:10.842884 (TID 140069191059200): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:10.844856 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:10.844927 (TID 140069182666496): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.845059 (TID 140069191059200): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.845162 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:10.845219 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25276000 registered.
2014-10-09 10:00:10.845370 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.846431 (TID 140069191059200): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.846587 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25007920 unregistered.
2014-10-09 10:00:10.846621 (TID 140069199451904): (UID 12) Closing database 'core': OK
2014-10-09 10:00:10.892832 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:10.892893 (TID 140069199451904): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:10.894836 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25007920 registered.
2014-10-09 10:00:10.894882 (TID 140069191059200): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.895022 (TID 140069199451904): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.895130 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25007920 unregistered.
2014-10-09 10:00:10.895187 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25007920 registered.
2014-10-09 10:00:10.895304 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.896375 (TID 140069199451904): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.896509 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:10.896542 (TID 140069182666496): (UID 12) Closing database 'core': OK
2014-10-09 10:00:10.942832 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:10.942908 (TID 140069182666496): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:10.944847 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:10.944908 (TID 140069199451904): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.945026 (TID 140069182666496): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.945123 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:10.945168 (TID 140069191059200): (UID 12) Database 'core.vdb' remoteID 25276000 registered.
2014-10-09 10:00:10.945273 (TID 140069191059200): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.946316 (TID 140069182666496): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.946450 (TID 140069191059200): (UID 12) Database 'core.vdb' remoteID 25007920 unregistered.
2014-10-09 10:00:10.946474 (TID 140069191059200): (UID 12) Closing database 'core': OK
2014-10-09 10:00:10.992828 (TID 140069191059200): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:10.992873 (TID 140069191059200): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:10.994854 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25007920 registered.
2014-10-09 10:00:10.994925 (TID 140069182666496): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:10.995058 (TID 140069191059200): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:10.995163 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25007920 unregistered.
2014-10-09 10:00:10.995206 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25007920 registered.
2014-10-09 10:00:10.995311 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:10.996371 (TID 140069191059200): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:10.996527 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:10.996552 (TID 140069199451904): (UID 12) Closing database 'core': OK
2014-10-09 10:00:11.101163 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:11.101220 (TID 140069199451904): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:11.103190 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:11.103265 (TID 140069191059200): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:11.103406 (TID 140069199451904): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:11.103512 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:11.103565 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25276000 registered.
2014-10-09 10:00:11.103680 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:11.104743 (TID 140069199451904): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:11.104899 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25007920 unregistered.
2014-10-09 10:00:11.104932 (TID 140069182666496): (UID 12) Closing database 'core': OK
2014-10-09 10:00:11.151165 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:11.151212 (TID 140069182666496): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:11.153147 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25007920 registered.
2014-10-09 10:00:11.153196 (TID 140069199451904): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:11.153338 (TID 140069182666496): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:11.153444 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25007920 unregistered.
2014-10-09 10:00:11.153485 (TID 140069191059200): (UID 12) Database 'core.vdb' remoteID 25007920 registered.
2014-10-09 10:00:11.153588 (TID 140069191059200): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:11.154647 (TID 140069182666496): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:11.154788 (TID 140069191059200): (UID 12) Database 'core.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:11.154812 (TID 140069191059200): (UID 12) Closing database 'core': OK
2014-10-09 10:00:11.201154 (TID 140069191059200): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:11.201198 (TID 140069191059200): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:11.203109 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:11.203177 (TID 140069182666496): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:11.203307 (TID 140069191059200): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:11.203409 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:11.203466 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25276000 registered.
2014-10-09 10:00:11.203596 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:11.204658 (TID 140069191059200): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:11.204812 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25007920 unregistered.
2014-10-09 10:00:11.204845 (TID 140069199451904): (UID 12) Closing database 'core': OK
2014-10-09 10:00:11.251170 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:11.251232 (TID 140069199451904): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:11.253154 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25007920 registered.
2014-10-09 10:00:11.253203 (TID 140069191059200): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:11.253341 (TID 140069199451904): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:11.253445 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25007920 unregistered.
2014-10-09 10:00:11.253498 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25007920 registered.
2014-10-09 10:00:11.253610 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:11.254684 (TID 140069199451904): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:11.254845 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:11.254879 (TID 140069182666496): (UID 12) Closing database 'core': OK
2014-10-09 10:00:11.301150 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:11.301228 (TID 140069182666496): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:11.303128 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:11.303189 (TID 140069199451904): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:11.303301 (TID 140069182666496): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:11.303401 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:11.303444 (TID 140069191059200): (UID 12) Database 'core.vdb' remoteID 25276000 registered.
2014-10-09 10:00:11.303546 (TID 140069191059200): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:11.304598 (TID 140069182666496): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:11.304732 (TID 140069191059200): (UID 12) Database 'core.vdb' remoteID 25007920 unregistered.
2014-10-09 10:00:11.304757 (TID 140069191059200): (UID 12) Closing database 'core': OK
2014-10-09 10:00:11.351153 (TID 140069191059200): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:11.351199 (TID 140069191059200): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:11.353123 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25007920 registered.
2014-10-09 10:00:11.353191 (TID 140069182666496): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:11.353321 (TID 140069191059200): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:11.353423 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25007920 unregistered.
2014-10-09 10:00:11.353479 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25007920 registered.
2014-10-09 10:00:11.353598 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:11.354664 (TID 140069191059200): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:11.354814 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:11.354847 (TID 140069199451904): (UID 12) Closing database 'core': OK
2014-10-09 10:00:11.401151 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:11.401212 (TID 140069199451904): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:11.403151 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:11.403201 (TID 140069191059200): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:11.403341 (TID 140069199451904): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:11.403443 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:11.403495 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25276000 registered.
2014-10-09 10:00:11.403608 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:11.404669 (TID 140069199451904): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:11.404809 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25007920 unregistered.
2014-10-09 10:00:11.404842 (TID 140069182666496): (UID 12) Closing database 'core': OK
2014-10-09 10:00:11.451160 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:11.451234 (TID 140069182666496): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:11.453274 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25007920 registered.
2014-10-09 10:00:11.453342 (TID 140069199451904): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:11.453485 (TID 140069182666496): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:11.453587 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25007920 unregistered.
2014-10-09 10:00:11.453630 (TID 140069191059200): (UID 12) Database 'core.vdb' remoteID 25007920 registered.
2014-10-09 10:00:11.453735 (TID 140069191059200): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:11.454806 (TID 140069182666496): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:11.454947 (TID 140069191059200): (UID 12) Database 'core.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:11.454971 (TID 140069191059200): (UID 12) Closing database 'core': OK
2014-10-09 10:00:11.501145 (TID 140069191059200): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:11.501190 (TID 140069191059200): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:11.502223 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:11.502279 (TID 140069182666496): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:11.502409 (TID 140069191059200): (UID 12) Database 'corev7' put_Location.
2014-10-09 10:00:11.502510 (TID 140069199451904): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:11.502566 (TID 140069199451904): (UID 12) Database 'core.vdb' remoteID 25276000 registered.
2014-10-09 10:00:11.502686 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully opened.
2014-10-09 10:00:11.506868 (TID 140069191059200): (UID 12) Database: core; User: testuser: OK
2014-10-09 10:00:11.551151 (TID 140069199451904): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:11.551382 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25754384 unregistered.
2014-10-09 10:00:11.551418 (TID 140069182666496): (UID 12) Closing database 'core': OK
2014-10-09 10:00:11.601160 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:11.601245 (TID 140069182666496): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:11.601307 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25007920 unregistered.
2014-10-09 10:00:11.601347 (TID 140069182666496): (UID 12) Closing database 'core': OK
2014-10-09 10:00:11.651151 (TID 140069182666496): (UID 12) Database 'corev7' has been successfully closed.
2014-10-09 10:00:11.651210 (TID 140069182666496): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:11.651283 (TID 140069182666496): (UID 12) Database 'core.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:11.651317 (TID 140069182666496): (UID 12) Closing database 'core': OK
2014-10-09 10:00:11.651348 (TID 140069182666496): (UID 12) Database 'corev7' object memory released.
2014-10-09 10:00:11.651386 (TID 140069182666496): (UID 12) Closing connection. ( Connections available: '5')
2014-10-09 10:00:13.884106 (TID 140069191059200): (UID 12) Connection established with '127.0.0.1:43883'. ( Connections available: '4')
2014-10-09 10:00:13.884766 (TID 140069174273792): (UID 12) User: testuser. Connection encoding: UTF-8 - LittleEndian.
2014-10-09 10:00:13.885342 (TID 140069182666496): (UID 12) Database '(null)' remoteID 25754384 registered.
2014-10-09 10:00:13.885389 (TID 140069182666496): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:13.885512 (TID 140069174273792): (UID 12) Database 'languagev7' put_Location.
2014-10-09 10:00:13.885630 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25754384 unregistered.
2014-10-09 10:00:13.885671 (TID 140069191059200): (UID 12) Database 'language.vdb' remoteID 25754384 registered.
2014-10-09 10:00:13.885772 (TID 140069191059200): (UID 12) Database 'languagev7' has been successfully opened.
2014-10-09 10:00:13.886437 (TID 140069174273792): (UID 12) Database: language; User: testuser: OK
2014-10-09 10:00:13.886934 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25007920 registered.
2014-10-09 10:00:13.886991 (TID 140069191059200): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:13.887118 (TID 140069182666496): (UID 12) Database 'languagev7' put_Location.
2014-10-09 10:00:13.887215 (TID 140069174273792): (UID 12) Database '(null)' remoteID 25007920 unregistered.
2014-10-09 10:00:13.887259 (TID 140069174273792): (UID 12) Database 'language.vdb' remoteID 25007920 registered.
2014-10-09 10:00:13.887357 (TID 140069174273792): (UID 12) Database 'languagev7' has been successfully opened.
2014-10-09 10:00:13.887462 (TID 140069191059200): (UID 12) Database: language; User: testuser: OK
2014-10-09 10:00:13.887562 (TID 140069182666496): (UID 12) Database 'language.vdb' remoteID 25754384 unregistered.
2014-10-09 10:00:13.887592 (TID 140069182666496): (UID 12) Closing database 'language': OK
2014-10-09 10:00:14.062863 (TID 140069182666496): (UID 12) Database 'languagev7' has been successfully closed.
2014-10-09 10:00:14.062955 (TID 140069182666496): (UID 12) Database 'languagev7' object memory released.
2014-10-09 10:00:14.068277 (TID 140069191059200): (UID 12) Database: language; User: testuser: OK
2014-10-09 10:00:14.123148 (TID 140069182666496): (UID 12) Database 'languagev7' has been successfully closed.
2014-10-09 10:00:14.123330 (TID 140069174273792): (UID 12) Database: language; User: testuser: OK
2014-10-09 10:00:14.123437 (TID 140069191059200): (UID 12) Database 'language.vdb' remoteID 25007920 unregistered.
2014-10-09 10:00:14.123461 (TID 140069191059200): (UID 12) Closing database 'language': OK
2014-10-09 10:00:14.123477 (TID 140069191059200): (UID 12) Database 'languagev7' object memory released.
2014-10-09 10:00:14.123620 (TID 140069182666496): (UID 12) Closing connection. ( Connections available: '5')
2014-10-09 10:00:16.251927 (TID 140069174273792): (UID 12) Connection established with '127.0.0.1:43892'. ( Connections available: '4')
2014-10-09 10:00:16.252598 (TID 140069207844608): (UID 12) User: testuser. Connection encoding: UTF-8 - LittleEndian.
2014-10-09 10:00:16.253191 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25276000 registered.
2014-10-09 10:00:16.253229 (TID 140069191059200): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:16.253316 (TID 140069207844608): (UID 12) Database 'languagev7' put_Location.
2014-10-09 10:00:16.253434 (TID 140069174273792): (UID 12) Database '(null)' remoteID 25276000 unregistered.
2014-10-09 10:00:16.253476 (TID 140069174273792): (UID 12) Database 'language.vdb' remoteID 25276000 registered.
2014-10-09 10:00:16.253579 (TID 140069174273792): (UID 12) Database 'languagev7' has been successfully opened.
2014-10-09 10:00:16.254208 (TID 140069207844608): (UID 12) Database: language; User: testuser: OK
2014-10-09 10:00:16.254718 (TID 140069174273792): (UID 12) Database '(null)' remoteID 25754384 registered.
2014-10-09 10:00:16.254767 (TID 140069174273792): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:16.254928 (TID 140069191059200): (UID 12) Database 'languagev7' put_Location.
2014-10-09 10:00:16.255019 (TID 140069207844608): (UID 12) Database '(null)' remoteID 25754384 unregistered.
2014-10-09 10:00:16.255063 (TID 140069207844608): (UID 12) Database 'language.vdb' remoteID 25754384 registered.
2014-10-09 10:00:16.255183 (TID 140069207844608): (UID 12) Database 'languagev7' has been successfully opened.
2014-10-09 10:00:16.255310 (TID 140069174273792): (UID 12) Database: language; User: testuser: OK
2014-10-09 10:00:16.255416 (TID 140069191059200): (UID 12) Database 'language.vdb' remoteID 25276000 unregistered.
2014-10-09 10:00:16.255441 (TID 140069191059200): (UID 12) Closing database 'language': OK
2014-10-09 10:00:16.423083 (TID 140069191059200): (UID 12) Database 'languagev7' has been successfully closed.
2014-10-09 10:00:16.423151 (TID 140069191059200): (UID 12) Database 'languagev7' object memory released.
2014-10-09 10:00:16.424051 (TID 140069174273792): (UID 12) Database: language; User: testuser: OK
2014-10-09 10:00:16.424608 (TID 140069191059200): (UID 12) Database '(null)' remoteID 25007920 registered.
2014-10-09 10:00:16.424643 (TID 140069191059200): (UID 12) Database: <none>; User: testuser: OK
2014-10-09 10:00:16.424770 (TID 140069207844608): (UID 12) Database 'languagev7' put_Location.
2014-10-09 10:00:16.424871 (TID 140069174273792): (UID 12) Database '(null)' remoteID 25007920 unregistered.
2014-10-09 10:00:16.424911 (TID 140069174273792): (UID 12) Database 'language.vdb' remoteID 25007920 registered.
2014-10-09 10:00:16.425012 (TID 140069174273792): (UID 12) Database 'languagev7' has been successfully opened.
2014-10-09 10:00:16.425126 (TID 140069191059200): (UID 12) Database: language; User: testuser: OK
2014-10-09 10:00:16.425229 (TID 140069207844608): (UID 12) Database 'language.vdb' remoteID 25754384 unregistered.
2014-10-09 10:00:16.425251 (TID 140069207844608): (UID 12) Closing database 'language': OK
2014-10-09 10:00:16.473077 (TID 140069207844608): (UID 12) Database 'languagev7' has been successfully closed.
2014-10-09 10:00:16.473124 (TID 140069207844608): (UID 12) Database 'languagev7' object memory released.
2014-10-09 10:00:16.476015 (TID 140069191059200): (UID 25) Connection established with '127.0.0.1:43893'. ( Connections available: '3')
2014-10-09 10:00:16.476658 (TID 140069174273792): (UID 25) User: testuser. Connection encoding: UTF-8 - LittleEndian.
2014-10-09 10:00:16.477233 (TID 140069207844608): (UID 25) Database '(null)' remoteID 25255792 registered.
2014-10-09 10:00:16.477278 (TID 140069207844608): (UID 25) Database: <none>; User: testuser: OK
2014-10-09 10:00:16.477408 (TID 140069174273792): (UID 25) Database '_rootv7' put_Location.
2014-10-09 10:00:16.477508 (TID 140069182666496): (UID 25) Database '(null)' remoteID 25255792 unregistered.
*** glibc detected *** ./vserver: realloc(): invalid pointer: 0x0000000001a43d20 ***
*** glibc detected *** ./vserver: realloc(): invalid pointer: 0x0000000001a43e60 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(realloc+0x312)[0x7f6469f5acb2]
/lib/x86_64-linux-gnu/libc.so.6(+0x76aa6)[0x7f6469f54aa6]
00400000-0080a000 r-xp 00000000 08:11 13844732 /opt/VServer/vserver
00a09000-00a28000 r-xp 00409000 08:11 13844732 /opt/VServer/vserver
00a28000-00a39000 rwxp 00428000 08:11 13844732 /opt/VServer/vserver
00a39000-00a42000 rwxp 00000000 00:00 0
0169e000-01a9a000 rwxp 00000000 00:00 0 [heap]
7f6452fe6000-7f6452fe7000 ---p 00000000 00:00 0
7f6452fe7000-7f64537e7000 rwxp 00000000 00:00 0
7f64537e7000-7f64537e8000 ---p 00000000 00:00 0
7f64537e8000-7f6453fe8000 rwxp 00000000 00:00 0
7f6453fe8000-7f6453fe9000 ---p 00000000 00:00 0
7f6453fe9000-7f64547e9000 rwxp 00000000 00:00 0
7f64547e9000-7f64547ea000 ---p 00000000 00:00 0
7f64547ea000-7f6454fea000 rwxp 00000000 00:00 0
7f6454fea000-7f6454feb000 ---p 00000000 00:00 0
7f6454feb000-7f64557eb000 rwxp 00000000 00:00 0
7f64557eb000-7f64557ec000 ---p 00000000 00:00 0
7f64557ec000-7f6455fec000 rwxp 00000000 00:00 0
7f6455fec000-7f6455fed000 ---p 00000000 00:00 0
7f6455fed000-7f6456fee000 rwxp 00000000 00:00 0
7f6456fee000-7f6456fef000 ---p 00000000 00:00 0
7f6456fef000-7f64577ef000 rwxp 00000000 00:00 0
7f64577ef000-7f64577f0000 ---p 00000000 00:00 0
7f64577f0000-7f6457ff0000 rwxp 00000000 00:00 0
7f6457ff0000-7f6457ff1000 ---p 00000000 00:00 0
7f6457ff1000-7f64587f1000 rwxp 00000000 00:00 0
7f64587f1000-7f64587f2000 ---p 00000000 00:00 0
7f64587f2000-7f6458ff2000 rwxp 00000000 00:00 0
7f6458ff2000-7f6458ff3000 ---p 00000000 00:00 0
7f6458ff3000-7f64597f3000 rwxp 00000000 00:00 0
7f64597f3000-7f64597f4000 ---p 00000000 00:00 0
7f64597f4000-7f6459ff4000 rwxp 00000000 00:00 0
7f6459ff4000-7f6459ff5000 ---p 00000000 00:00 0
7f6459ff5000-7f645a7f5000 rwxp 00000000 00:00 0
7f645a7f5000-7f645a7f6000 ---p 00000000 00:00 0
7f645a7f6000-7f645aff6000 rwxp 00000000 00:00 0
7f645aff6000-7f645aff7000 ---p 00000000 00:00 0
7f645aff7000-7f645b7f7000 rwxp 00000000 00:00 0
7f645b7f7000-7f645b7f8000 ---p 00000000 00:00 0
7f645b7f8000-7f645bff8000 rwxp 00000000 00:00 0
7f645bff8000-7f645bff9000 ---p 00000000 00:00 0
7f645bff9000-7f645c7f9000 rwxp 00000000 00:00 0
7f645c7f9000-7f645c7fa000 ---p 00000000 00:00 0
7f645c7fa000-7f645cffa000 rwxp 00000000 00:00 0
7f645cffa000-7f645cffb000 ---p 00000000 00:00 0
7f645cffb000-7f645d7fb000 rwxp 00000000 00:00 0
7f645d7fb000-7f645d7fc000 ---p 00000000 00:00 0
7f645d7fc000-7f645dffc000 rwxp 00000000 00:00 0
7f645dffc000-7f645dffd000 ---p 00000000 00:00 0
7f645dffd000-7f645e7fd000 rwxp 00000000 00:00 0
7f645e7fd000-7f645e7fe000 ---p 00000000 00:00 0
7f645e7fe000-7f645effe000 rwxp 00000000 00:00 0
7f645effe000-7f645efff000 ---p 00000000 00:00 0
7f645efff000-7f645f7ff000 rwxp 00000000 00:00 0
7f645f7ff000-7f645f800000 ---p 00000000 00:00 0
7f645f800000-7f6460000000 rwxp 00000000 00:00 0
7f6460000000-7f6460052000 rwxp 00000000 00:00 0
7f6460052000-7f6464000000 ---p 00000000 00:00 0
7f6464605000-7f6464606000 ---p 00000000 00:00 0
7f6464606000-7f6464e06000 rwxp 00000000 00:00 0
7f6464e06000-7f6464e07000 ---p 00000000 00:00 0
7f6464e07000-7f6465607000 rwxp 00000000 00:00 0
7f6465607000-7f6465608000 ---p 00000000 00:00 0
7f6465608000-7f6465e08000 rwxp 00000000 00:00 0
7f6465e08000-7f6465e09000 ---p 00000000 00:00 0
7f6465e09000-7f6466609000 rwxp 00000000 00:00 0
7f6466609000-7f646660a000 ---p 00000000 00:00 0
7f646660a000-7f6466e0a000 rwxp 00000000 00:00 0
7f6466e0a000-7f6466e0b000 ---p 00000000 00:00 0
7f6466e0b000-7f64698b0000 rwxp 00000000 00:00 0
7f64698b0000-7f6469c75000 r-xp 00000000 08:11 13844772 /opt/VServer/lib/libvclient_release_x64.so.558
7f6469c75000-7f6469e75000 ---p 003c5000 08:11 13844772 /opt/VServer/lib/libvclient_release_x64.so.558
7f6469e75000-7f6469ec9000 r-xp 003c5000 08:11 13844772 /opt/VServer/lib/libvclient_release_x64.so.558
7f6469ec9000-7f6469eda000 rwxp 00419000 08:11 13844772 /opt/VServer/lib/libvclient_release_x64.so.558
7f6469eda000-7f6469ede000 rwxp 00000000 00:00 0
7f6469ede000-7f646a05f000 r-xp 00000000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7f646a05f000-7f646a25f000 ---p 00181000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7f646a25f000-7f646a263000 r-xp 00181000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7f646a263000-7f646a264000 rwxp 00185000 08:01 394084 /lib/x86_64-linux-gnu/libc-2.13.so
7f646a264000-7f646a269000 rwxp 00000000 00:00 0
7f646a269000-7f646a27e000 r-xp 00000000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f646a27e000-7f646a47e000 ---p 00015000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f646a47e000-7f646a47f000 rwxp 00015000 08:01 394043 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f646a47f000-7f646a500000 r-xp 00000000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7f646a500000-7f646a6ff000 ---p 00081000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7f646a6ff000-7f646a700000 r-xp 00080000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7f646a700000-7f646a701000 rwxp 00081000 08:01 394113 /lib/x86_64-linux-gnu/libm-2.13.so
7f646a701000-7f646a7e9000 r-xp 00000000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f646a7e9000-7f646a9e9000 ---p 000e8000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f646a9e9000-7f646a9f1000 r-xp 000e8000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f646a9f1000-7f646a9f3000 rwxp 000f0000 08:01 12589531 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.17
7f646a9f3000-7f646aa08000 rwxp 00000000 00:00 0
7f646aa08000-7f646aa0f000 r-xp 00000000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7f646aa0f000-7f646ac0e000 ---p 00007000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7f646ac0e000-7f646ac0f000 r-xp 00006000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7f646ac0f000-7f646ac10000 rwxp 00007000 08:01 394310 /lib/x86_64-linux-gnu/librt-2.13.so
7f646ac10000-7f646ac12000 r-xp 00000000 08:01 394092 /lib/x86_64-linux-gnu/libdl-2.13.so
7f646ac12000-7f646ae12000 ---p 00002000 08:01 394092 /lib/x86_64-linux-gnu/libdl-2.13.so
7f646ae12000-7f646ae13000 r-xp 00002000 08:01 394092 /lib/x86_64-linux-gnu/libdl-2.13.so
7f646ae13000-7f646ae14000 rwxp 00003000 08:01 394092 /lib/x86_64-linux-gnu/libdl-2.13.so
7f646ae14000-7f646ae2b000 r-xp 00000000 08:01 394308 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f646ae2b000-7f646b02a000 ---p 00017000 08:01 394308 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f646b02a00Signal SIGABRT
0-7f646b02b000 r-xp 00016000 08:01 394308 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f646b02b000-7f646b02c000 rwxp 00017000 08:01 394308 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f646b02c000-7f646b030000 rwxp 00000000 00:00 0
7f646b030000-7f646ba08000 r-xp 00000000 08:11 13844766 /opt/VServer/lib/libvreport_release_x64.so.558
7f646ba08000-7f646bc07000 ---p 009d8000 08:11 13844766 /opt/VServer/lib/libvreport_release_x64.so.558
7f646bc07000-7f646bc4a000 r-xp 009d7000 08:11 13844766 /opt/VServer/lib/libvreport_release_x64.so.558
7f646bc4a000-7f646bc6f000 rwxp 00a1a000 08:11 13844766 /opt/VServer/lib/libvreport_release_x64.so.558
7f646bc6f000-7f646bc88000 rwxp 00000000 00:00 0
7f646bc88000-7f646ca59000 r-xp 00000000 08:11 13844770 /opt/VServer/lib/libvkernel_release_x64.so.558
7f646ca59000-7f646cc58000 ---p 00dd1000 08:11 13844770 /opt/VServer/lib/libvkernel_release_x64.so.558
7f646cc58000-7f646ce65000 r-xp 00dd0000 08:11 13844770 /opt/VServer/lib/libvkernel_release_x64.so.558
7f646ce65000-7f646ce6a000 rwxp 00fdd000 08:11 13844770 /opt/VServer/lib/libvkernel_release_x64.so.558
7f646ce6a000-7f646ce6e000 rwxp 00000000 00:00 0
7f646ce6e000-7f646d16f000 r-xp 00000000 08:11 13844773 /opt/VServer/lib/libvshared_release_x64.so.558
7f646d16f000-7f646d36e000 ---p 00301000 08:11 13844773 /opt/VServer/lib/libvshared_release_x64.so.558
7f646d36e000-7f646d38d000 r-xp 00300000 08:11 13844773 /opt/VServer/lib/libvshared_release_x64.so.558
7f646d38d000-7f646d396000 rwxp 0031f000 08:11 13844773 /opt/VServer/lib/libvshared_release_x64.so.558
7f646d396000-7f646d39b000 rwxp 00000000 00:00 0
7f646d39b000-7f646d519000 r-xp 00000000 08:11 13844767 /opt/VServer/lib/libicuuc.so.48
7f646d519000-7f646d719000 ---p 0017e000 08:11 13844767 /opt/VServer/lib/libicuuc.so.48
7f646d719000-7f646d729000 r-xp 0017e000 08:11 13844767 /opt/VServer/lib/libicuuc.so.48
7f646d729000-7f646d72a000 rwxp 0018e000 08:11 13844767 /opt/VServer/lib/libicuuc.so.48
7f646d72a000-7f646d72e000 rwxp 00000000 00:00 0
7f646d72e000-7f646d745000 r-xp 00000000 08:11 13844771 /opt/VServer/lib/libicuio.so.48
7f646d745000-7f646d944000 ---p 00017000 08:11 13844771 /opt/VServer/lib/libicuio.so.48
7f646d944000-7f646d946000 r-xp 00016000 08:11 13844771 /opt/VServer/lib/libicuio.so.48
7f646d946000-7f646d947000 rwxp 00018000 08:11 13844771 /opt/VServer/lib/libicuio.so.48
7f646d947000-7f646db2b000 r-xp 00000000 08:11 13844762 /opt/VServer/lib/libicui18n.so.48
7f646db2b000-7f646dd2b000 ---p 001e4000 08:11 13844762 /opt/VServer/lib/libicui18n.so.48
7f646dd2b000-7f646dd36000 r-xp 001e4000 08:11 13844762 /opt/VServer/lib/libicui18n.so.48
7f646dd36000-7f646dd38000 rwxp 001ef000 08:11 13844762 /opt/VServer/lib/libicui18n.so.48
7f646dd38000-7f646dd39000 rwxp 00000000 00:00 0
7f646dd39000-7f646eea8000 r-xp 00000000 08:11 13844764 /opt/VServer/lib/libicudata.so.48
7f646eea8000-7f646f0a7000 ---p 0116f000 08:11 13844764 /opt/VServer/lib/libicudata.so.48
7f646f0a7000-7f646f0a8000 r-xp 0116e000 08:11 13844764 /opt/VServer/lib/libicudata.so.48
7f646f0a8000-7f646f0c8000 r-xp 00000000 08:01 394053 /lib/x86_64-linux-gnu/ld-2.13.so
7f646f138000-7f646f2af000 r-xp 00000000 08:01 12583053 /usr/lib/locale/locale-archive
7f646f2af000-7f646f2b9000 rwxp 00000000 00:00 0
7f646f2bc000-7f646f2c3000 r-xs 00000000 08:01 12589809 /usr/lib/x86_64-linux-gnu/gconv/gconv-modules.cache
7f646f2c3000-7f646f2c7000 rwxp 00000000 00:00 0
7f646f2c7000-7f646f2c8000 r-xp 0001f000 08:01 394053 /lib/x86_64-linux-gnu/ld-2.13.so
7f646f2c8000-7f646f2c9000 rwxp 00020000 08:01 394053 /lib/x86_64-linux-gnu/ld-2.13.so
7f646f2c9000-7f646f2ca000 rwxp 00000000 00:00 0
7fff4db44000-7fff4db65000 rwxp 00000000 00:00 0 [stack]
7fff4db99000-7fff4db9a000 r-xp 00000000 00:00 0 [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]
7fff4db99000-7fff4db9a000 r-xp 00000000 00:00 0 [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]
Signal SIGABRT
Signal SIGABRT
segementation fault
Ivan Smahin

Ivan Smahin

2014-10-09 09:14

manager   ~0007933

Thank you, meanwhile I don't see a reason for calling our threaded sort algorithm judging on the log. Could you send me some simple example (how to get such a crash)?
This issue is specific to particular linux build? Is it reproduced on win or another linux distro?
Erich Geiersberger

Erich Geiersberger

2014-10-09 09:31

reporter   ~0007934

Last edited: 2014-10-09 09:32

View 3 revisions

Well, I now found out that the crash seems to occur when a "ORDER BY" statement is executed on some tables, such as
"SELECT F1,F2 FROM Table1 ORDER BY F1 ASC"

That would explain the threaded sorting algorithm?

We only have Debian Wheezy x64 servers, so I can't test it on another distro at this time.

Ivan Smahin

Ivan Smahin

2014-10-09 10:07

manager   ~0007935

Ok. It seems your server is running in "low" verbose mode, so there are not all messages. Please, set VerboseLevel=3 in the vServer's ini and restart vServer. Than repost vServer log here again.

And what about some app to reproduce an issue on my side?
Ivan Smahin

Ivan Smahin

2014-10-13 10:36

manager  

crash_linux_sort_data (51,247 bytes)

Issue History

Date Modified Username Field Change
2014-10-08 12:07 Erich Geiersberger New Issue
2014-10-08 12:10 Erich Geiersberger Note Added: 0007928
2014-10-08 12:11 Erich Geiersberger Note Edited: 0007928 View Revisions
2014-10-08 12:14 Erich Geiersberger Note Added: 0007929
2014-10-09 05:15 Ivan Smahin Note Added: 0007930
2014-10-09 07:49 Erich Geiersberger Note Added: 0007931
2014-10-09 08:16 Erich Geiersberger Note Added: 0007932
2014-10-09 09:14 Ivan Smahin Note Added: 0007933
2014-10-09 09:31 Erich Geiersberger Note Added: 0007934
2014-10-09 09:31 Erich Geiersberger Note Edited: 0007934 View Revisions
2014-10-09 09:32 Erich Geiersberger Note Edited: 0007934 View Revisions
2014-10-09 10:07 Ivan Smahin Note Added: 0007935
2014-10-13 10:36 Ivan Smahin File Added: crash_linux_sort_data
2014-10-14 14:17 Ivan Smahin Status new => resolved
2014-10-14 14:17 Ivan Smahin Fixed in Version => 5.6
2014-10-14 14:17 Ivan Smahin Resolution open => fixed
2014-10-14 14:17 Ivan Smahin Assigned To => Ivan Smahin